Bug 498250 - Cannot type zenkaku-space
Cannot type zenkaku-space
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: ibus (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Peng Huang
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-29 11:39 EDT by Mamoru TASAKA
Modified: 2009-05-09 00:22 EDT (History)
2 users (show)

See Also:
Fixed In Version: 1.1.0.20090402-2.fc11
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-05-09 00:22:21 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Result when typing space key in Japanese input mode (95 bytes, text/plain)
2009-04-29 11:43 EDT, Mamoru TASAKA
no flags Details

  None (edit)
Description Mamoru TASAKA 2009-04-29 11:39:59 EDT
Description of problem:
Note that I am using Japanese environment on GNOME

When I enable Japanese input mode by Zenkaku key and type space bar,
only "normal" space (U+0020) is put out.
With scim this puts out "ideographic space" (U+3000)

Version-Release number of selected component (if applicable):
ibus-1.1.0.20090423-1.fc11.i586.rpm
ibus-anthy-1.1.0.20090402-1.fc11.i586.rpm
ibus-gtk-1.1.0.20090423-1.fc11.i586.rpm
ibus-libs-1.1.0.20090423-1.fc11.i586.rpm

v.s.

scim-1.4.8-3.fc11.i586.rpm
scim-anthy-1.2.7-2.fc11.i586.rpm
scim-bridge-0.4.15.2-3.fc11.i586.rpm
scim-bridge-gtk-0.4.15.2-3.fc11.i586.rpm


How reproducible:
100&

Steps to Reproduce:
1. enable imput method on Japanese environ
2. lauch gedit, push Zenkaku key to enable Japanese input mode
3. type space key
  
Actual results:
On ibus, "SPACE" (U+0020) is put out

Expected results:
On SCIM "IDEOGRAPHIC SPACE" (U+0030) is put out
Comment 1 Mamoru TASAKA 2009-04-29 11:43:58 EDT
Created attachment 341779 [details]
Result when typing space key in Japanese input mode

The result when typing space key 4 times after enabling
Japanese input mode
Comment 2 Mamoru TASAKA 2009-04-29 11:46:41 EDT
(In reply to comment #0)
> Expected results:
> On SCIM "IDEOGRAPHIC SPACE" (U+0030) is put out  

This is U+3000.
Comment 3 Peng Huang 2009-04-29 21:55:20 EDT
If the anthy is enabled, all spaces should be converted to U+3000. Right? Sorry. I am not familiar with Japanese input method.
Comment 4 Mamoru TASAKA 2009-04-29 22:31:19 EDT
(In reply to comment #3)
> If the anthy is enabled, all spaces should be converted to U+3000. Right?

Yes. The expected behavior is that when anthy is enabled,
typing space bar should show U+3000 directly without "pre-edit"
stage.
Comment 5 Peng Huang 2009-04-29 22:33:41 EDT
How about HALF_WIDTH_KATAKANA mode? It need input the half space. right?
Comment 6 Peng Huang 2009-04-29 22:36:30 EDT
Please try new rpms from http://koji.fedoraproject.org/koji/taskinfo?taskID=1329629 . And tell me if it works correctly. Thanks
Comment 7 Mamoru TASAKA 2009-04-29 23:25:30 EDT
(In reply to comment #5)
> How about HALF_WIDTH_KATAKANA mode? It need input the half space. right?  

Well, I tried this both on Fedora scim-anthy mode and on W$ ME,
and with both hankaku-katanaka mode typing space bar show
just "normal" space (i.e. U+0020 in UTF-8).
Comment 8 Mamoru TASAKA 2009-04-29 23:43:12 EDT
(In reply to comment #6)
> Please try new rpms from
> http://koji.fedoraproject.org/koji/taskinfo?taskID=1329629 . And tell me if it
> works correctly. Thanks  

This works as expected, thank you.
Comment 9 Fedora Update System 2009-04-30 00:45:58 EDT
ibus-anthy-1.1.0.20090402-2.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/ibus-anthy-1.1.0.20090402-2.fc11
Comment 10 Fedora Update System 2009-05-09 00:22:16 EDT
ibus-anthy-1.1.0.20090402-2.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.